[Overview][Resource strings][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'daemonapp' (#fcl)

# TCustomDaemon.LogMessage

Log a message to the system log

## Declaration

Source position: daemonapp.pp line 60

`public procedure TCustomDaemon.LogMessage(`
`const Msg: String`
`);`

## Arguments

`Msg` |  | Message to send to the system log

## Description

LogMessage can be used to send a message Msg to the system log. A TEventLog instance is used to actually send messages to the system log.

The message is sent with an 'error' flag (using TEventLog.Error).

## Errors

None.

## See also

ReportStatus |  | Report the current status to the operating system

The latest version of this document can be found at lazarus-ccr.sourceforge.net .